Package org.opensaml.xacml.policy.impl

# Class EnvironmentMatchTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.EnvironmentMatchTypeImpl

All Implemented Interfaces:
  `XMLObject`, `EnvironmentMatchType`, `XACMLObject`

public class EnvironmentMatchTypeImpl extends AbstractXACMLObject implements EnvironmentMatchType
Concrete implementation of `EnvironmentMatchType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<XACMLObject>`
`attributeChoice`
Match's choice of attribute elements.
`private AttributeValueType`
`attributeValue`
Match's attribute value.
`private String`
`matchId`
Gets the ID of this match.

### Fields inherited from interface org.opensaml.xacml.policy.EnvironmentMatchType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_QNAME, MATCH_ID_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`EnvironmentMatchTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AttributeSelectorType`
`getAttributeSelector()`
Gets the attribute selector for this match.
`AttributeValueType`
`getAttributeValue()`
Gets the attribute value for this match.
`AttributeDesignatorType`
`getEnvironmentAttributeDesignator()`
Gets the environment attribute designator for this match.
`String`
`getMatchId()`
Gets the ID of this match.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.
`void`
`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.
`void`
`setEnvironmentAttributeDesignator(AttributeDesignatorType attribute)`
Sets the environment attribute designator for this match.
`void`
`setMatchId(String id)`
Sets the ID of this match.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### attributeValue

private AttributeValueType attributeValue
Match's attribute value.

### attributeChoice

private IndexedXMLObjectChildrenList<XACMLObject> attributeChoice
Match's choice of attribute elements.

### matchId

private String matchId
Gets the ID of this match.

## Constructor Details

### EnvironmentMatchTypeImpl

public EnvironmentMatchTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAttributeSelector

public AttributeSelectorType getAttributeSelector()
Gets the attribute selector for this match.

Specified by:
  `getAttributeSelector` in interface `EnvironmentMatchType`
Returns:
  attribute selector for this match

### getAttributeValue

public AttributeValueType getAttributeValue()
Gets the attribute value for this match.

Specified by:
  `getAttributeValue` in interface `EnvironmentMatchType`
Returns:
  attribute value for this match

### getEnvironmentAttributeDesignator

public AttributeDesignatorType getEnvironmentAttributeDesignator()
Gets the environment attribute designator for this match.

Specified by:
  `getEnvironmentAttributeDesignator` in interface `EnvironmentMatchType`
Returns:
  environment attribute designator for this match

### getMatchId

public String getMatchId()
Gets the ID of this match.

Specified by:
  `getMatchId` in interface `EnvironmentMatchType`
Returns:
  ID of this match

### setAttributeSelector

public void setAttributeSelector(AttributeSelectorType selector)
Sets the attribute selector for this match.

Specified by:
  `setAttributeSelector` in interface `EnvironmentMatchType`
Parameters:
  `selector` - attribute selector for this match

### setAttributeValue

public void setAttributeValue(AttributeValueType value)
Sets the attribute value for this match.

Specified by:
  `setAttributeValue` in interface `EnvironmentMatchType`
Parameters:
  `value` - attribute value for this match

### setEnvironmentAttributeDesignator

public void setEnvironmentAttributeDesignator(AttributeDesignatorType attribute)
Sets the environment attribute designator for this match.

Specified by:
  `setEnvironmentAttributeDesignator` in interface `EnvironmentMatchType`
Parameters:
  `attribute` - environment attribute designator for this match

### setMatchId

public void setMatchId(String id)
Sets the ID of this match.

Specified by:
  `setMatchId` in interface `EnvironmentMatchType`
Parameters:
  `id` - ID of this match

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements